local electric_system = GetSelf()


local ac_ok = get_param_handle("AC_OK")

update_time_step = 0.025
make_default_activity(update_time_step) 


function SetCommand(command,value)

 end



function update()
	
	
	if electric_system:get_AC_Bus_1_voltage()>0 then
		ac_ok:set(1)
	else
		ac_ok:set(0)
	end
	electric_system:AC_Generator_1_on(true)
	electric_system:AC_Generator_2_on(true)
	electric_system:DC_Battery_on(true)
	
end